// Code generated by goa v3.8.5, DO NOT EDIT.
//
// policy HTTP client types
//
// Command:
// $ goa gen
// gitlab.com/gaia-x/data-infrastructure-federation-services/tsa/policy/design

package client

import (
	policy "gitlab.com/gaia-x/data-infrastructure-federation-services/tsa/policy/gen/policy"
)

// NewEvaluateResultOK builds a "policy" service "Evaluate" endpoint result
// from a HTTP "OK" response.
func NewEvaluateResultOK(body interface{}, eTag string) *policy.EvaluateResult {
	v := body
	res := &policy.EvaluateResult{
		Result: v,
	}
	res.ETag = eTag

	return res
}
